import React from "react";

import { Component } from 'react';

import { Switch,Link,BrowserRouter as Router, Route } from 'react-router-dom'
import './App.css';




import renderHTML from 'react-render-html'









class TemperatureSalle extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            nom :props.sensor._id,
            tab :props.sensor,
            val:props.sensor.valTemperature,







        };
    }




    render(){

        return (



            <div className="wrapper">
                <article>
                    <h1 className="cap">  {this.state.nom} </h1>


                    <div className="d"><p className="val">Valeur Actuelle :  { Math.round((this.state.val)*100)/100+"°"}
                    </p> <p className="hito">  Historique :
                        {renderHTML(this.state.tab.timeSeries.afficheHisto())}
                    </p>
                    </div>





                </article>
            </div>
        )

    }
}


class TemperatureChambre extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            nom :props.sensor._id,
            tab :props.sensor,
            val:props.sensor.valTemperature,
        }
    };
    render(){

        return (



            <div className="wrapper">
                <article>
                    <h1 className="cap"> {this.state.nom} </h1>


                    <div className="d"><p className="val"> Valeur Actuelle :  { Math.round((this.state.val)*100)/100+"°"}</p>
                        <p className="hito">  Historique :
                            {renderHTML(this.state.tab.timeSeries.afficheHisto())}
                        </p>
                    </div>





                </article>
            </div>
        )

    }
}






class Yeux extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            nom :props.sensor._id,
            tab :props.sensor,
            val:props.sensor._etat,
        }
    };
    render(){

        return (



            <div className="wrapper">
                <article>
                    <h1 className="cap"> {this.state.nom} </h1>


                    <div className="d"> <p className="val">Valeur Actuelle :  {this.state.val}</p>
                        <p className="hito">  Historique :
                            {renderHTML(this.state.tab.timeSeries.afficheHisto())}
                        </p>
                    </div>





                </article>
            </div>
        )

    }
}




class MonAttention extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            nom :props.sensor._id,
            tab :props.sensor,
            val:props.sensor.valHumidity,
        }
    };
    render(){

        return (



            <div className="wrapper">
                <article>
                    <h1 className="cap"> {this.state.nom} </h1>


                    <div className="d"> <p className="val">Valeur Actuelle :  { Math.round((this.state.val)*100)/100+"%"}
                    </p> <p className="hito">  Historique :
                        {renderHTML(this.state.tab.timeSeries.afficheHisto())}
                    </p>
                    </div>





                </article>
            </div>
        )

    }
}


class App extends Component {

    constructor(props) {
        super(props);
        this.state = {

            listsensors:props.listsensors,
            temp:[],
            tempCh:[],
            humid:[],
            eux:[]


        };}



    componentWillReceiveProps(nprops)

    {

        switch (nprops.listsensors._id) {

            case "MesYeux" :

                this.setState ({

                    eux : nprops.listsensors


                });
                break;

            case  "MonAttention" :
                this.setState ({

                    humid: nprops.listsensors


                });
                break;

            case "temperatureSalleA111":
                this.setState ({

                    temp: nprops.listsensors




                });

                break;

            case "temperatureChambre":
                this.setState ({

                    tempCh:nprops.listsensors


                });
                break;


        }


    }

    render(){



        return (
            <Router>
                <div className="App">
                    ​​
                    <body>
                    <header> <p className="url">Url Brocker:</p>
                        <input id="bro" type="text" value={window.location}></input>

                    </header>
                    <div className="wrapper">
                        <Switch>
                        <Route path="/TemperatureSalle" component={()=><TemperatureSalle sensor={this.state.temp}/>} />

                        <Route path="/TemperatureChambre" component={()=><TemperatureChambre sensor={this.state.tempCh}/>}/>
                        <Route path="/Yeux" component={()=><Yeux sensor={this.state.eux}/>}/>
                        <Route path="/MonAttention" component={()=><MonAttention sensor={this.state.humid}/>}/>
                        </Switch>

                        <nav>

                            <Link to="/TemperatureSalle" >
                                <button class="b1" >Temperature Salle</button>
                            </Link>

                            <Link to="/TemperatureChambre" >
                                <button className="b2" >temperature Chambre</button>
                            </Link>


                            <Link to="/Yeux" >
                                <button className="b3" >Mes yeux</button>
                            </Link>

                            <Link to="/MonAttention" >
                                <button className="b4" >Mon Attention</button>
                            </Link>




                        </nav>
                        <aside></aside>
                    </div>

                    <footer></footer>
                    </body>



                </div>
            </Router>
        );

    }



}

export default App


